org.osgi.framework

## Interface BundleListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  SynchronousBundleListener

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @ConsumerType
     @FunctionalInterface
    public interface BundleListener
    extends EventListener

A `BundleEvent` listener. `BundleListener` is a listener interface that may be implemented by a bundle developer. When a `BundleEvent` is fired, it is asynchronously delivered to a `BundleListener`. The Framework delivers `BundleEvent` objects to a `BundleListener` in order and must not concurrently call a `BundleListener`.

A `BundleListener` object is registered with the Framework using the `BundleContext.addBundleListener(BundleListener)` method. `BundleListener`s are called with a `BundleEvent` object when a bundle has been installed, resolved, started, stopped, updated, unresolved, or uninstalled.

Author:
  $Id: 50c74faa9062af826e76064737568302e6993366 $
See Also:
  `BundleEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `bundleChanged(BundleEvent event)` Receives notification that a bundle has had a lifecycle change.

### Method Detail

#### bundleChanged

    void bundleChanged(BundleEvent event)

Receives notification that a bundle has had a lifecycle change.

Parameters:
  `event` - The `BundleEvent`.